Bug 1279234 - [abrt] dnf: decoder.py:359:raw_decode:ValueError: Unterminated string starting at: line 1 column 8159 (char 8158)
[abrt] dnf: decoder.py:359:raw_decode:ValueError: Unterminated string startin...
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
x86_64 Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2015-11-08 14:16 EST by Martin Kolman
Modified: 2016-11-25 05:11 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-11-25 05:11:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: _var_log_dnf.log (4.49 MB, text/plain)
2015-11-08 14:16 EST, Martin Kolman
no flags Details
File: backtrace (9.40 KB, text/plain)
2015-11-08 14:16 EST, Martin Kolman
no flags Details
File: dnf-makecache.log (3.32 MB, text/plain)
2015-11-08 14:17 EST, Martin Kolman
no flags Details
File: environ (2.51 KB, text/plain)
2015-11-08 14:17 EST, Martin Kolman
no flags Details

  None (edit)
Description Martin Kolman 2015-11-08 14:16:20 EST
Description of problem:
Installed a package with dnf, which apparently ended successfully but then spit out this traceback.

Version-Release number of selected component:

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 -OO /bin/dnf install udisks
executable:     /bin/dnf
kernel:         4.2.3-200.fc22.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
#1 raw_decode in /usr/lib64/python3.4/json/decoder.py:359
#2 decode in /usr/lib64/python3.4/json/decoder.py:343
#3 loads in /usr/lib64/python3.4/json/__init__.py:318
#4 _get_json_db in /usr/lib/python3.4/site-packages/dnf/persistor.py:417
#5 get_saved_tempfiles in /usr/lib/python3.4/site-packages/dnf/persistor.py:475
#6 close in /usr/lib/python3.4/site-packages/dnf/base.py:280
#7 __exit__ in /usr/lib/python3.4/site-packages/dnf/base.py:99
#8 main in /usr/lib/python3.4/site-packages/dnf/cli/main.py:84
#9 user_main in /usr/lib/python3.4/site-packages/dnf/cli/main.py:198
#10 <module> in /bin/dnf:35
Comment 1 Martin Kolman 2015-11-08 14:16:46 EST
Created attachment 1091373 [details]
File: _var_log_dnf.log
Comment 2 Martin Kolman 2015-11-08 14:16:48 EST
Created attachment 1091374 [details]
File: backtrace
Comment 3 Martin Kolman 2015-11-08 14:17:05 EST
Created attachment 1091375 [details]
File: dnf-makecache.log
Comment 4 Martin Kolman 2015-11-08 14:17:07 EST
Created attachment 1091376 [details]
File: environ
Comment 5 Jaroslav Mracek 2015-11-18 07:41:18 EST
Please provide content of all json files in /var/cache/dnf/ (will can make a log for writing json files)
Comment 6 Fedora Admin XMLRPC Client 2016-07-08 05:34:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2016-11-24 08:12:40 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Michael Mráka 2016-11-25 05:11:31 EST
Unanswered needinfo for half a year.
Clearing it and closing bug.

If you still hit this issue feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.